%global realname webmachine
%global upstream basho
%global debug_package %{nil}
%global git_tag f05a195
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.9.2
Release:	1%{?dist}
Summary:	A REST-based system for building web applications
Group:		Development/Languages
License:	ASL 2.0
URL:		http://webmachine.basho.com/
# wget --content-disposition https://github.com/basho/webmachine/tarball/1.9.2
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
Patch1:		erlang-webmachine-0001-Report-proper-version-1.9.0-1.9.2.patch
Patch2:		erlang-webmachine-0002-Don-t-allow-rebar-to-manage-builddeps.patch
Patch3:		erlang-webmachine-0003-Kill-wrong-doc-info.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-mochiweb
BuildRequires:	erlang-rebar
Requires:	erlang-crypto%{?_isa}
# Error:erlang(lists:keyfind/3) in R12B and below
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-inets%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-mochiweb%{?_isa}
Requires:	erlang-ssl%{?_isa}
Requires:	erlang-stdlib%{?_isa} >= R12B-5


%description
A REST-based system for building web applications.


%prep
%setup -q -n %{upstream}-%{realname}-cccd12d
chmod 644 src/wmtrace_resource.erl
%patch1 -p1
%patch2 -p1
%patch3 -p1
chmod -x demo/start.sh
chmod -x priv/trace/wmtrace.css
chmod -x priv/trace/wmtrace.js

chmod +x priv/templates/start.sh


%build
rebar compile -v
#make edoc
#rm -f docs/edoc-info


%install
rm -rf $RPM_BUILD_ROOT
install -D -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -m 644 ebin/%{realname}.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/%{realname}_*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/%{realname}_sup.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/wmtrace_resource.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/wrq.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -d $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -m 644 include/*.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
cp -r priv $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}
cp -r www $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%check
rebar eunit -v


%files
%doc demo docs/http-headers-status-v3.png LICENSE README.org THANKS
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/www
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/*
%{_libdir}/erlang/lib/%{realname}-%{version}/www/*


%changelog
* Sun Aug 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.9.2-1
- Ver. 1.9.2
- Add _isa to the Requires
- Drop defattr directive

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.9.1-1
- Ver. 1.9.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 13 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.8.0-2
- Cosmetic

* Mon Jan 10 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.8.0-1
- Ver. 1.8.0

* Sat Oct 30 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.7.3-1
- Initial build

